Index: issm/trunk/externalpackages/matplotlib/install-macosx64.sh
===================================================================
--- issm/trunk/externalpackages/matplotlib/install-macosx64.sh	(revision 13395)
+++ issm/trunk/externalpackages/matplotlib/install-macosx64.sh	(revision 13395)
@@ -0,0 +1,27 @@
+#/bin/bash
+set -eu
+
+export C_INCLUDE_PATH="$C_INCLUDE_PATH:/usr/include/c++/4.2.1"
+export GIT_SSL_NO_VERIFY=true 
+export CC="gcc -fPIC -arch x86_64 -I/usr/include/c++/4.2.1"
+export CXX="g++ -fPIC -arch x86_64 -I/usr/include/c++/4.2.1"
+export F77="gfortran -fPIC -arch x86_64 -I/usr/include/c++/4.2.1"
+export FC="gfortran -fPIC -arch x86_64 -I/usr/include/c++/4.2.1"
+export FFLAGS="-ff2c -arch x86_64 -I/usr/include/c++/4.2.1"
+export ARCHFLAGS="-arch x86_64 -I/usr/include/c++/4.2.1"
+
+git clone https://github.com/matplotlib/matplotlib
+mv matplotlib src
+mkdir deps
+cd src
+
+#only try this if the classic python setup.py build approach does not work. The approach in the next 3 lines can 
+#trigger issues of permissions with freetype. Sometimes it is better to independently install freetype2 (from the 
+#issm externalpackages) as sudo (or root), so that the python script can detect its existence automatically.
+#sudo make -f make.osx PREFIX=$ISSM_DIR/externalpackages/matplotlib/deps PYVERSION=$pythonversion fetch deps mpl_install_std
+#sudo make -f make.osx PREFIX=$ISSM_DIR/externalpackages/matplotlib/deps PYVERSION=$pythonversion mpl_install_std
+#python -c "import matplotlib; print 'Installed matplotlib', matplotlib.__version__, matplotlib.__file__"
+
+#to be tried:  first get freetype and zlib and libpng installed in sudo mode
+python setup.py build
+python setup.py install
Index: issm/trunk/externalpackages/mercurial/install.sh
===================================================================
--- issm/trunk/externalpackages/mercurial/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/mercurial/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/metis/install-4.0-altix64.sh
===================================================================
--- issm/trunk/externalpackages/metis/install-4.0-altix64.sh	(revision 12709)
+++ issm/trunk/externalpackages/metis/install-4.0-altix64.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/metis/install-4.0-cosmos.sh
===================================================================
--- issm/trunk/externalpackages/metis/install-4.0-cosmos.sh	(revision 12709)
+++ issm/trunk/externalpackages/metis/install-4.0-cosmos.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/metis/install-4.0-discover.sh
===================================================================
--- issm/trunk/externalpackages/metis/install-4.0-discover.sh	(revision 12709)
+++ issm/trunk/externalpackages/metis/install-4.0-discover.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/metis/install-4.0-greenplanet.sh
===================================================================
--- issm/trunk/externalpackages/metis/install-4.0-greenplanet.sh	(revision 12709)
+++ issm/trunk/externalpackages/metis/install-4.0-greenplanet.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/metis/install-4.0-linux64.sh
===================================================================
--- issm/trunk/externalpackages/metis/install-4.0-linux64.sh	(revision 12709)
+++ issm/trunk/externalpackages/metis/install-4.0-linux64.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/metis/install-4.0-macosx32.sh
===================================================================
--- issm/trunk/externalpackages/metis/install-4.0-macosx32.sh	(revision 12709)
+++ issm/trunk/externalpackages/metis/install-4.0-macosx32.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/metis/install-4.0-macosx64.sh
===================================================================
--- issm/trunk/externalpackages/metis/install-4.0-macosx64.sh	(revision 12709)
+++ issm/trunk/externalpackages/metis/install-4.0-macosx64.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/metis/install-4.0-pleiades.sh
===================================================================
--- issm/trunk/externalpackages/metis/install-4.0-pleiades.sh	(revision 12709)
+++ issm/trunk/externalpackages/metis/install-4.0-pleiades.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/metis/install-4.0-win32.sh
===================================================================
--- issm/trunk/externalpackages/metis/install-4.0-win32.sh	(revision 12709)
+++ issm/trunk/externalpackages/metis/install-4.0-win32.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/metis/install-4.0-win7.sh
===================================================================
--- issm/trunk/externalpackages/metis/install-4.0-win7.sh	(revision 12709)
+++ issm/trunk/externalpackages/metis/install-4.0-win7.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/metis/install-5.0.1-linux64.sh
===================================================================
--- issm/trunk/externalpackages/metis/install-5.0.1-linux64.sh	(revision 12709)
+++ issm/trunk/externalpackages/metis/install-5.0.1-linux64.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 #metis 5.0 should be used: srand48 and drand48 are being redefined in conflict to the stdlib equivalent functions.
 
Index: issm/trunk/externalpackages/mitgcm/install.sh
===================================================================
--- issm/trunk/externalpackages/mitgcm/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/mitgcm/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Do these commands once:
Index: issm/trunk/externalpackages/modelE/install.sh
===================================================================
--- issm/trunk/externalpackages/modelE/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/modelE/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 #modelE  downloaded from the gis repository of the GISS (Goddard Institute for Space Studies)
 #at  http://www.giss.nasa.gov/tools/modelE/
Index: issm/trunk/externalpackages/modules/install-macosx64.sh
===================================================================
--- issm/trunk/externalpackages/modules/install-macosx64.sh	(revision 13395)
+++ issm/trunk/externalpackages/modules/install-macosx64.sh	(revision 13395)
@@ -0,0 +1,39 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf install
+rm -rf modules-3.2.9
+mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/modules-3.2.9.tar.gz' 'modules-3.2.9.tar.gz'
+
+#Untar 
+tar -zxvf  modules-3.2.9.tar.gz
+
+#Move modules into src directory
+
+#Configure modules
+cd modules-3.2.9
+./configure \
+	--prefix=$ISSM_DIR/externalpackages/modules/install\
+	--with-module-path=$ISSM_DIR/externalpackages/modules/install/modules/files\
+	--with-version-path=$ISSM_DIR/externalpackages/modules/install/modules/versions\
+	--with-tcl-lib=$ISSM_DIR/externalpackages/tcl/install/Library/Frameworks/Tcl.framework/Versions/8.5\
+	--with-tcl-inc=$ISSM_DIR/externalpackages/tcl/install/Library/Frameworks/Tcl.framework/Versions/8.5/Headers\
+	--with-tcl-ver=8.5\
+	--with-tclx-lib=$ISSM_DIR/externalpackages/tclx/install/lib/tclx8.4\
+    --with-tclx-inc=$ISSM_DIR/externalpackages/tclx/install/include\
+	--with-tclx-ver=8.4\
+	--with-etc-path=$ISSM_DIR/externalpackages/modules/install/modules/etc\
+	--with-skel-path=$ISSM_DIR/externalpackages/modules/install/modules/etc/skel\
+	--disable-dependency-tracking
+
+#Compile and install modules
+if [ $# -eq 0 ]; then
+	make
+else
+	make -j $1
+fi
+make install
Index: issm/trunk/externalpackages/modules/install.sh
===================================================================
--- issm/trunk/externalpackages/modules/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/modules/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/mpich2/install-1.0.2-altix64.sh
===================================================================
--- issm/trunk/externalpackages/mpich2/install-1.0.2-altix64.sh	(revision 12709)
+++ issm/trunk/externalpackages/mpich2/install-1.0.2-altix64.sh	(revision 13395)
@@ -31,5 +31,5 @@
 
 #Compile mpich2
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make
 else
Index: issm/trunk/externalpackages/mpich2/install-1.0.2-linux64.sh
===================================================================
--- issm/trunk/externalpackages/mpich2/install-1.0.2-linux64.sh	(revision 12709)
+++ issm/trunk/externalpackages/mpich2/install-1.0.2-linux64.sh	(revision 13395)
@@ -31,5 +31,5 @@
 
 #Compile mpich2
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make
 else
Index: issm/trunk/externalpackages/mpich2/install-1.0.2-macosx32.sh
===================================================================
--- issm/trunk/externalpackages/mpich2/install-1.0.2-macosx32.sh	(revision 12709)
+++ issm/trunk/externalpackages/mpich2/install-1.0.2-macosx32.sh	(revision 13395)
@@ -30,5 +30,5 @@
 
 #Compile mpich2
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make
 else
Index: issm/trunk/externalpackages/mpich2/install-1.0.2-win32.sh
===================================================================
--- issm/trunk/externalpackages/mpich2/install-1.0.2-win32.sh	(revision 12709)
+++ issm/trunk/externalpackages/mpich2/install-1.0.2-win32.sh	(revision 13395)
@@ -28,5 +28,5 @@
 
 #Compile mpich2
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make
 else
Index: issm/trunk/externalpackages/mpich2/install-1.3.1-linux64-berg.sh
===================================================================
--- issm/trunk/externalpackages/mpich2/install-1.3.1-linux64-berg.sh	(revision 13395)
+++ issm/trunk/externalpackages/mpich2/install-1.3.1-linux64-berg.sh	(revision 13395)
@@ -0,0 +1,48 @@
+#!/bin/bash
+
+#version of mpich2
+#version=1.0.2p1
+version=1.3.1
+#version=1.4
+
+#Some cleanup
+rm -rf src install mpich2-$version
+
+#Create src and install directories
+mkdir src install
+
+#Untar 
+tar -zxvf  mpich2-$version.tar.gz
+
+#Move mpich2 into src directory
+mv mpich2-$version/* src
+rm -rf mpich2-$version
+
+#Configure mpich2
+cd src
+if [[ "$version" == "1.0.2p1" ]];
+then
+	make distclean
+fi
+
+source ../configure.sh
+
+if [[ "$version" == "1.0.2p1" ]];
+then
+	#Apply Patch to examples
+	patch ./examples/Makefile ../Examples.Makefile.patch
+	patch -R ./src/binding/cxx/mpicxx.h ../mpicxx.h.patch
+	patch -R ./src/include/mpicxx.h ../mpicxx.h.patch
+fi
+
+#Compile mpich2
+if [ $# -eq 0 ];
+then
+	make
+else
+	make -j $1
+fi
+make install 
+
+cd ../install/lib
+rm -rf *.so
Index: issm/trunk/externalpackages/mpich2/install-1.4-linux64.sh
===================================================================
--- issm/trunk/externalpackages/mpich2/install-1.4-linux64.sh	(revision 12709)
+++ issm/trunk/externalpackages/mpich2/install-1.4-linux64.sh	(revision 13395)
@@ -17,4 +17,5 @@
 #Configure mpich2
 cd src
+export -n F90 
 export CFLAGS="$CFLAGS -fPIC"
 export FFLAGS="$FFLAGS -fPIC"
@@ -26,5 +27,5 @@
 
 #Compile mpich2
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make
 else
@@ -32,6 +33,2 @@
 fi
 make install 
-
-#remove so files
-cd ../install/lib
-rm -rf *.so
Index: issm/trunk/externalpackages/mpich2/install-1.4-macosx32.sh
===================================================================
--- issm/trunk/externalpackages/mpich2/install-1.4-macosx32.sh	(revision 12709)
+++ issm/trunk/externalpackages/mpich2/install-1.4-macosx32.sh	(revision 13395)
@@ -29,5 +29,5 @@
 
 #Compile mpich2
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make
 else
@@ -35,6 +35,2 @@
 fi
 make install 
-
-#remove so files
-cd ../install/lib
-rm -rf *.so
Index: issm/trunk/externalpackages/mpich2/install-1.4-macosx64.sh
===================================================================
--- issm/trunk/externalpackages/mpich2/install-1.4-macosx64.sh	(revision 12709)
+++ issm/trunk/externalpackages/mpich2/install-1.4-macosx64.sh	(revision 13395)
@@ -29,5 +29,5 @@
 
 #Compile mpich2
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make
 else
@@ -35,6 +35,2 @@
 fi
 make install 
-
-#remove so files
-cd ../install/lib
-rm -rf *.so
Index: issm/trunk/externalpackages/ncview/install.sh
===================================================================
--- issm/trunk/externalpackages/ncview/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/ncview/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/netcdf-python/install.sh
===================================================================
--- issm/trunk/externalpackages/netcdf-python/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/netcdf-python/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/netcdf/install-4.0.sh
===================================================================
--- issm/trunk/externalpackages/netcdf/install-4.0.sh	(revision 13395)
+++ issm/trunk/externalpackages/netcdf/install-4.0.sh	(revision 13395)
@@ -0,0 +1,27 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf src install netcdf-4.0.1
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py "http://issm.jpl.nasa.gov/files/externalpackages/netcdf-4.0.1.tar.gz" "netcdf-4.0.1.tar.gz"
+
+#Untar 
+tar -zxvf  netcdf-4.0.1.tar.gz
+
+#Move netcdf to install directory
+rm -rf src/*
+mv netcdf-4.0.1/* src/
+rm -rf netcdf-4.0.1
+
+#Configure and compile
+cd src
+./configure  --prefix="$ISSM_DIR/externalpackages/netcdf/install"  
+if [ $# -eq 0 ]; then
+	make
+else
+	make -j $1
+fi
+make install
Index: issm/trunk/externalpackages/netcdf/install-4.2.sh
===================================================================
--- issm/trunk/externalpackages/netcdf/install-4.2.sh	(revision 13395)
+++ issm/trunk/externalpackages/netcdf/install-4.2.sh	(revision 13395)
@@ -0,0 +1,30 @@
+#!/bin/bash
+set -eu
+#you need hdf5 compiled
+
+#Some cleanup
+rm -rf src install netcdf-4.2
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py "http://issm.jpl.nasa.gov/files/externalpackages/netcdf-4.2.tar.gz" "netcdf-4.2.tar.gz"
+
+#Untar 
+tar -zxvf  netcdf-4.2.tar.gz
+
+#Move netcdf to install directory
+rm -rf src/*
+mv netcdf-4.2/* src/
+rm -rf netcdf-4.2
+
+#Configure and compile
+cd src
+./configure \
+ --prefix="$ISSM_DIR/externalpackages/netcdf/install"  \
+ --disable-doxygen
+if [ $# -eq 0 ]; then
+	make
+else
+	make -j $1
+fi
+make install
Index: issm/trunk/externalpackages/nose/install-linux64-python2.sh
===================================================================
--- issm/trunk/externalpackages/nose/install-linux64-python2.sh	(revision 13395)
+++ issm/trunk/externalpackages/nose/install-linux64-python2.sh	(revision 13395)
@@ -0,0 +1,14 @@
+#!/bin/bash
+#Install Python nose module
+
+rm -rf src 
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/nose-1.1.2.tar.gz' 'nose-1.1.2.tar.gz'
+tar -zxvf  nose-1.1.2.tar.gz
+mv nose-1.1.2 src
+rm -rf nose-1.1.2
+
+cd src
+python ./setup.py build
+python ./setup.py install
Index: issm/trunk/externalpackages/nose/install-linux64-python3.sh
===================================================================
--- issm/trunk/externalpackages/nose/install-linux64-python3.sh	(revision 13395)
+++ issm/trunk/externalpackages/nose/install-linux64-python3.sh	(revision 13395)
@@ -0,0 +1,11 @@
+#!/bin/bash
+#Install Python nose module
+
+rm -rf src 
+
+svn checkout http://python-nose.googlecode.com/svn/branches/py3k
+mv py3k src
+
+cd src
+python ./setup.py build
+python ./setup.py install
Index: issm/trunk/externalpackages/nose/install-macosx64-python2.sh
===================================================================
--- issm/trunk/externalpackages/nose/install-macosx64-python2.sh	(revision 13395)
+++ issm/trunk/externalpackages/nose/install-macosx64-python2.sh	(revision 13395)
@@ -0,0 +1,14 @@
+#!/bin/bash
+#Install Python nose module
+
+rm -rf src 
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/nose-1.1.2.tar.gz' 'nose-1.1.2.tar.gz'
+tar -zxvf  nose-1.1.2.tar.gz
+mv nose-1.1.2 src
+rm -rf nose-1.1.2
+
+cd src
+python ./setup.py build
+python ./setup.py install
Index: issm/trunk/externalpackages/nose/install-macosx64-python3.sh
===================================================================
--- issm/trunk/externalpackages/nose/install-macosx64-python3.sh	(revision 13395)
+++ issm/trunk/externalpackages/nose/install-macosx64-python3.sh	(revision 13395)
@@ -0,0 +1,11 @@
+#!/bin/bash
+#Install Python nose module
+
+rm -rf src 
+
+svn checkout http://python-nose.googlecode.com/svn/branches/py3k
+mv py3k src
+
+cd src
+python ./setup.py build
+python ./setup.py install
Index: issm/trunk/externalpackages/numpy/README
===================================================================
--- issm/trunk/externalpackages/numpy/README	(revision 13395)
+++ issm/trunk/externalpackages/numpy/README	(revision 13395)
@@ -0,0 +1,9 @@
+For OSX 10.7 (Lion), the instructions here can be followed:  
+http://www.scipy.org/Installing_SciPy/Mac_OS_X
+
+For OSX 10.6 (Snow Leopard), the scipy folks recommend gcc and g++ version 4.0.
+However, ISSM needs the gfortran version recommended in $ISSM_DIR/externalpackages/gfortran.
+On the webpage listed above, make sure the "export CC" and "export CXX" commands point to the 
+binaries associated with this gfortran version (likely in /usr/local/gfortran/bin by default).
+Once this gfortran is installed, the install script in this directory for Snow Leopard should
+work.
Index: issm/trunk/externalpackages/numpy/install-linux64.sh
===================================================================
--- issm/trunk/externalpackages/numpy/install-linux64.sh	(revision 13395)
+++ issm/trunk/externalpackages/numpy/install-linux64.sh	(revision 13395)
@@ -0,0 +1,23 @@
+#!/bin/bash
+set -eu
+
+export CC="gcc -fPIC"
+export CXX="g++ -fPIC"
+export F77="gfortran -fPIC"
+export FC="gfortran -fPIC"
+export FFLAGS=-ff2c
+
+#clean up
+rm -rf numpy
+
+#download numpy first
+export GIT_SSL_NO_VERIFY=true 
+git clone https://github.com/numpy/numpy.git
+
+#install numpy
+cd numpy
+python setup.py build
+python setup.py install
+cd ..
+python -c "import numpy; print 'Installed NumPy', numpy.__version__"
+python -c "import numpy; numpy.test()"
Index: issm/trunk/externalpackages/numpy/install-macosx-lion.sh
===================================================================
--- issm/trunk/externalpackages/numpy/install-macosx-lion.sh	(revision 13395)
+++ issm/trunk/externalpackages/numpy/install-macosx-lion.sh	(revision 13395)
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -eu
+
+export CC=gcc
+export CXX=g++
+export FFLAGS=-ff2c
+
+#download numpy first
+git clone https://github.com/numpy/numpy.git
+
+#install numpy
+cd numpy
+python setup.py build
+python setup.py install
Index: issm/trunk/externalpackages/numpy/install-macosx-snowleopard.sh
===================================================================
--- issm/trunk/externalpackages/numpy/install-macosx-snowleopard.sh	(revision 13395)
+++ issm/trunk/externalpackages/numpy/install-macosx-snowleopard.sh	(revision 13395)
@@ -0,0 +1,17 @@
+#!/bin/bash
+set -eu
+
+# On OSX 10.6, gfortran gets installed in /usr/local/gfortran 
+export CC="/usr/local/gfortran/bin/gcc"
+export CXX="/usr/local/gfortran/bin/g++"
+
+#download numpy first
+git clone https://github.com/numpy/numpy.git
+
+#install numpy
+cd numpy
+python setup.py build
+python setup.py install
+cd ..
+python -c "import numpy; print 'Installed NumPy', numpy.__version__"
+python -c "import numpy; numpy.test()"
Index: issm/trunk/externalpackages/octave/install.sh
===================================================================
--- issm/trunk/externalpackages/octave/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/octave/install.sh	(revision 13395)
@@ -1,30 +1,31 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
-version=3.6.1
-rm -rf src install octave-$version octave-$version.tar.gz
+rm -rf src install octave-3.6.2 
 mkdir install src
 
 #Download from ISSM server
-$ISSM_DIR/scripts/DownloadExternalPackage.py "http://issm.jpl.nasa.gov/files/externalpackages/octave-$version.tar.gz" "octave-$version.tar.gz"
+$ISSM_DIR/scripts/DownloadExternalPackage.py "http://issm.jpl.nasa.gov/files/externalpackages/octave-3.6.2.tar.gz" "octave-3.6.2.tar.gz"
 
 #Untar 
-tar -zxvf  octave-$version.tar.gz
+tar -zxvf  octave-3.6.2.tar.gz
 
 #Move octave into install directory
-mv octave-$version/* src
-rm -rf octave-$version
+mv octave-3.6.2/* src
+rm -rf octave-3.6.2
 
 #install
 cd src 
+./configure \
+ --prefix=$ISSM_DIR/externalpackages/octave/install \
+ --disable-readline
 
-exit
-make 
-
-#Compile 
-cd ../install
-mkdir lib
-cd lib
-cp ../../src/*.a .
-ln -s octave_LINUX.a octave.a
-ln -s octave_LINUX.a liboctave.a
+if [ $# -eq 0 ];
+then
+	make
+	make install
+else
+	make -j $1
+	make -j $1 install
+fi
Index: issm/trunk/externalpackages/oofem/install.sh
===================================================================
--- issm/trunk/externalpackages/oofem/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/oofem/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
@@ -23,5 +24,5 @@
 #Compile oofem 
 cd targets/oofem-2.0
-if [ -z $1 ]; then
+if [ $# -eq 0 ]; then
 	make
 else
Index: issm/trunk/externalpackages/openanalysis/install.sh
===================================================================
--- issm/trunk/externalpackages/openanalysis/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/openanalysis/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/packagemaker/install.sh
===================================================================
--- issm/trunk/externalpackages/packagemaker/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/packagemaker/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Erase symlink
Index: issm/trunk/externalpackages/pcre/install.sh
===================================================================
--- issm/trunk/externalpackages/pcre/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/pcre/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Cleaning
Index: issm/trunk/externalpackages/petsc/install-2.3.2-altix64-castor.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-2.3.2-altix64-castor.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-2.3.2-altix64-castor.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 #Step 1: unzip and install
 #Step 2: After Plapack implodes
Index: issm/trunk/externalpackages/petsc/install-2.3.2-cosmos.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-2.3.2-cosmos.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-2.3.2-cosmos.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/petsc/install-2.3.2-linux64-astrid.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-2.3.2-linux64-astrid.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-2.3.2-linux64-astrid.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/petsc/install-2.3.2-macosx32-eric.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-2.3.2-macosx32-eric.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-2.3.2-macosx32-eric.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 #Step 1: unzip and install
 #Step 2: After MUMPS Crashes
Index: issm/trunk/externalpackages/petsc/install-2.3.2-macosx32-ogive.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-2.3.2-macosx32-ogive.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-2.3.2-macosx32-ogive.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/petsc/install-2.3.2-macosx64.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-2.3.2-macosx64.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-2.3.2-macosx64.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/petsc/install-2.3.2-pleiades.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-2.3.2-pleiades.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-2.3.2-pleiades.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 #Step 1: unzip and install
 #Step 2: After Plapack implodes
Index: issm/trunk/externalpackages/petsc/install-2.3.2-win32-eric.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-2.3.2-win32-eric.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-2.3.2-win32-eric.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/petsc/install-2.3.2-win7.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-2.3.2-win7.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-2.3.2-win7.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/petsc/install-3.1-altix64-castor.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.1-altix64-castor.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-3.1-altix64-castor.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 #Step 1: unzip and install
 #Step 2: After Plapack implodes
Index: issm/trunk/externalpackages/petsc/install-3.1-cosmos.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.1-cosmos.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-3.1-cosmos.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/petsc/install-3.1-linux64-astrid.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.1-linux64-astrid.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-3.1-linux64-astrid.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/petsc/install-3.1-macosx32-mathieu.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.1-macosx32-mathieu.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-3.1-macosx32-mathieu.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/petsc/install-3.1-macosx32-ogive.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.1-macosx32-ogive.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-3.1-macosx32-ogive.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/petsc/install-3.1-pleiades.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.1-pleiades.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-3.1-pleiades.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 #Step 1: unzip and install
 #Step 2: After Plapack implodes
Index: issm/trunk/externalpackages/petsc/install-3.1-ubuntu64.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.1-ubuntu64.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-3.1-ubuntu64.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/petsc/install-3.1-win7.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.1-win7.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-3.1-win7.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/petsc/install-3.2-discover.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.2-discover.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-3.2-discover.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
@@ -21,5 +22,5 @@
 	--with-batch=1 \
 	--with-debugging=0 \
-	--with-shared-libraries=0 \
+	--with-shared-libraries=1 \
 	--known-mpi-shared-libraries=1 \
 	--with-mpi-dir=/usr/local/intel/mpi/4.0.3.008/lib64/ \
@@ -32,5 +33,5 @@
 	--download-scalapack=no \
 	--download-blacs=no \
-	--download-plapack=yes \
+	--download-plapack=no \
 	--download-parmetis=yes \
 	--with-pic=1
Index: issm/trunk/externalpackages/petsc/install-3.2-greenplanet.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.2-greenplanet.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-3.2-greenplanet.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/petsc/install-3.2-linux64.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.2-linux64.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-3.2-linux64.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
@@ -22,5 +23,5 @@
 	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 	--with-debugging=0 \
-	--with-shared-libraries=0 \
+	--with-shared-libraries=1 \
 	--download-mumps=yes \
 	--download-scalapack=yes \
Index: issm/trunk/externalpackages/petsc/install-3.2-macosx64.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.2-macosx64.sh	(revision 12709)
+++ issm/trunk/externalpackages/petsc/install-3.2-macosx64.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
@@ -18,13 +19,13 @@
   --prefix="$ISSM_DIR/externalpackages/petsc/install" \
   --PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
-  --PETSC_ARCH=macosx-gnu \
+  --PETSC_ARCH="macosx-gnu" \
   --with-mpi-dir="$ISSM_DIR/externalpackages/mpich2/install" \
   --with-debugging=0 \
-  --with-shared-libraries=0 \
+  --with-shared-libraries=1 \
   --download-mumps=yes \
   --download-scalapack=yes \
   --download-blacs=yes \
   --download-blas=yes \
-  --download-plapack=yes  \
+  --download-plapack=no  \
   --download-parmetis=yes \
   --download-f-blas-lapack=yes 
